Cloud Plugin: handle version checks with new docker repository options

Description

If you try to upgrade your installation image and version at the same time and you don't use `mattermost/mattermost-enterprise-edition` for the image you see this error:

```
Error: cloud-2021-02-25-1 is not a valid docker tag for repository mattermost/mattermost-enterprise-edition
```

This was the command I ran for reference:

```
/cloud upgrade import-me --image=mattermost/mm-ee-cloud --version=cloud-2021-02-25-1
```

QA Test Steps

No testing required.

Activity

Show:
Linda Mitchell
March 10, 2021, 6:50 AM

Thanks, closing (no testing required to close).

Indusha Semba
March 1, 2021, 5:05 PM

Done

Mana

None

Assignee

Indusha Semba

QA Assignee

None

Reporter

Gabe Jackson

Epic Link

Fix versions

None

Mattermost Team

Cloud Platform

Sprint

None

Labels

None

QA Testing Areas

None

GitHub Issue

None

Components

None

Severity

None